<section class="h-screen">
  <div class="px-6 h-full text-gray-800">
    <div
      class="flex xl:justify-center lg:justify-between justify-center items-center flex-wrap h-full g-6"
    >
      <div
        class="grow-0 shrink-1 md:shrink-0 basis-auto xl:w-6/12 lg:w-6/12 md:w-9/12 mb-12 md:mb-0"
      >
        <img
          src="assets/img/template.jpg"
          class="w-full"
          alt="Sample image"
        />
      </div>
      <div class="xl:ml-20 xl:w-5/12 lg:w-5/12 md:w-8/12 mb-12 md:mb-0">
        <form [formGroup]="loginForm" method="POST">
          <div class="flex flex-row items-center justify-center lg:justify-start">
            <p class="text-2xl mb-0 mr-4 text-blue-600">Report And Template</p>
      </div>

          <div
            class="flex items-center my-4 before:flex-1 before:border-t before:border-gray-300 before:mt-0.5 after:flex-1 after:border-t after:border-gray-300 after:mt-0.5"
          >
            <p class="text-center font-semibold mx-4 mb-0">+</p>
          </div>


          <!-- Email input -->
  <div class="relative z-0 mb-6 w-full group">
      <input formControlName="email" type="email" name="floating_email" id="floating_email"
       class="
       block
       py-2.5
       px-0
       w-full
       text-sm
       text-gray-900
       bg-transparent
       border-0
       border-b-2
       border-gray-300
       appearance-none
       focus:outline-none
       focus:ring-0
       focus:border-blue-600
       peer"

       [ngClass]="{' text-red-600  border-red-500 focus:border-red-600':loginForm.controls['email'].dirty && loginForm.hasError('required','email')&&checkPassword===false}"
       placeholder=" " required />
      <label for="floating_email"
      class="
              peer-focus:font-medium
              absolute text-sm
              text-gray-500
              duration-300
              transform
              -translate-y-6
              scale-75 top-3
              -z-10 origin-[0]
              peer-focus:left-0
              peer-focus:text-blue-600
              peer-placeholder-shown:scale-100
              peer-placeholder-shown:translate-y-0
              peer-focus:scale-75
              peer-focus:-translate-y-6"
              [ngClass]="{' peer-focus:text-red-600  ':loginForm.controls['email'].dirty && loginForm.hasError('required','email')&&checkPassword===false}"

              >Email address</label>
      <mat-error *ngIf="loginForm.controls['email'].dirty && loginForm.hasError('required','email')&&checkPassword===false" >
        <p class="mt-2 text-sm text-red-600">Mohon masukkan Email!</p>
    </mat-error>
  </div>

          <!-- Password input -->
  <div class="relative z-0 mb-6 w-full group">
      <input type="password" formControlName="password"  matInput [type]="hide ? 'password' : 'text'" name="floating_password" id="floating_password"
      class="block
            py-2.5
            px-0
            w-full
            text-sm
            text-gray-900
            bg-transparent
            border-0
            border-b-2
            border-gray-300
            appearance-none
            focus:outline-none
            focus:ring-0
            focus:border-blue-600
            peer"
      [ngClass]="{
        ' text-red-600  border-red-500 focus:border-red-600':loginForm.controls['password'].dirty && loginForm.hasError('required','password')&&checkPassword===false}"  placeholder=" " required />
      <button  mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide" class="float-right mt-[-2rem] mr-3" [ngClass]="{' mt-[-2.5rem] ':loginForm.controls['password'].dirty && loginForm.hasError('required','password')&&checkPassword===false}">
        <mat-icon class="text-xl text-gray-500"
        [ngClass]="{' text-red-500 ':loginForm.controls['password'].dirty && loginForm.hasError('required','password')&&checkPassword===false}">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
      </button>
      <label for="floating_password"
      class="
            peer-focus:font-medium
            absolute
            text-sm
            text-gray-500
            duration-300
            transform -translate-y-6
            scale-75
            top-3
            -z-10
            origin-[0]
            peer-focus:left-0
            peer-focus:text-blue-600
            peer-placeholder-shown:scale-100
            peer-placeholder-shown:translate-y-0
            peer-focus:scale-75
            peer-focus:-translate-y-6"
            [ngClass]="{' peer-focus:text-red-600  ':loginForm.controls['password'].dirty && loginForm.hasError('required','password')}" >Password</label>
      <mat-error *ngIf="loginForm.controls['password'].dirty && loginForm.hasError('required','password')&&checkPassword===false" >
          <p class="mt-2 text-sm text-red-600">Mohon masukkan password!</p>
      </mat-error>
      <mat-error *ngIf="checkPassword===true && loginForm.hasError('required','password')" class="bg-yellow-400" >
        <p class="mt-2 text-sm text-yellow-700 bg-yellow-200">Password Salah!</p>
    </mat-error>
  </div>

          <div class="flex justify-between items-center mb-6 ">
            <div class="form-group form-check">
              <input
                type="checkbox"
                class="form-check-input appearance-none h-4 w-4 border border-gray-300 rounded-sm bg-white checked:bg-blue-600 checked:border-blue-600 focus:outline-none transition duration-200 mt-1 align-top bg-no-repeat bg-center bg-contain float-left mr-2 cursor-pointer"
                id="exampleCheck2"
              />
              <label class="form-check-label inline-block text-gray-800" for="exampleCheck2"
                >Ingat saya</label
              >
            </div>
            <a href="#!" class="text-gray-800">Lupa password?</a>
          </div>

          <div class="text-center lg:text-left">
            <button
              type="button"
              class="
                      inline-block
                      px-7
                      py-3
                      bg-blue-600
                      text-white
                      font-medium
                      text-sm
                      leading-snug
                      uppercase
                      rounded
                      shadow-md
                      hover:bg-blue-700
                      hover:shadow-lg
                      focus:bg-blue-700
                      focus:shadow-lg
                      focus:outline-none
                      focus:ring-0
                      active:bg-blue-800
                      active:shadow-lg
                      transition
                      duration-150
                      ease-in-out"
                      (click)="onLogin(loginForm.value)"

                      >
              Login
            </button>

          </div>
        </form>
      </div>
    </div>
  </div>
</section>
